Не устанавливается postgresql-common

Dem

New member
Сообщения
6
#1
Настраиваем сервер для работы с 1С используя вот эту инструкцию https://wiki.astralinux.ru/pages/viewpage.action?pageId=41191288
В результате после установки Postgresql выдает ошибку
Обрабатываются триггеры для postgresql-common (175astra2) …
supported-versions: WARNING! Unknown distribution: astra
debian found in ID_LIKE, treating as Debian
supported-versions: WARNING: Unknown Debian release: 2.12.22
ucfr: Attempt from package postgresql-common to take /etc/logrotate.d/postgresql-common away from package postgrespro-common
ucfr: Aborting.
dpkg: ошибка при обработке пакета postgresql-common (--configure):
подпроцесс установлен сценарий post-installation возвратил код ошибки 4
Обрабатываются триггеры для man-db (2.7.6.1-2) …
Настраивается пакет postgrespro-9.6 (9.6.6.1-1.stretch.pro) …
Настраивается пакет postgrespro-contrib-9.6 (9.6.6.1-1.stretch.pro) …
При обработке следующих пакетов произошли ошибки:
postgresql-common
E: Sub-process /usr/bin/dpkg returned an error code (1)


Под скажите как с ней бороться! Первый раз Астру поставили. Релиз Орел 2.12 CE
 

Montfer

New member
Сообщения
885
#2
странно.... у меня установилось нормально, хотя на версию тоже ругался
Подготовка к распаковке …/5-postgrespro-contrib-9.6_9.6.6.1-1.stretch.pro_amd64.deb …
Распаковывается postgrespro-contrib-9.6 (9.6.6.1-1.stretch.pro) …
Настраивается пакет postgrespro-client-common (178+pgpro2.stretch.pro) …
Настраивается пакет postgrespro-common (178+pgpro2.stretch.pro) …
supported-versions: WARNING! Unknown distribution: astra
debian found in ID_LIKE, treating as Debian
supported-versions: WARNING: Unknown Debian release: 2.12.22
Добавление пользователя postgres в группу ssl-cert

Creating config file /etc/postgresql-common/createcluster.conf with new version

Creating config file /etc/logrotate.d/postgresql-common with new version
Building PostgreSQL dictionaries from installed myspell/hunspell packages...
en_us
ru_ru
Removing obsolete dictionary files:
Created symlink /etc/systemd/system/multi-user.target.wants/postgresql.service → /lib/systemd/system/postgresql.service.
Настраивается пакет libpq5:amd64 (9.6.15-0+deb9u1) …
Обрабатываются триггеры для libc-bin (2.24-11+deb9u4) …
Настраивается пакет postgrespro-client-9.6 (9.6.6.1-1.stretch.pro) …
Обрабатываются триггеры для systemd (232-25+deb9u11astra.ce1) …
Обрабатываются триггеры для man-db (2.7.6.1-2) …
Настраивается пакет postgrespro-9.6 (9.6.6.1-1.stretch.pro) …
Creating new cluster 9.6/main ...
config /etc/postgresql/9.6/main
data /var/lib/postgresql/9.6/main
locale ru_RU.UTF-8
socket /var/run/postgresql
port 5432
Настраивается пакет postgrespro-contrib-9.6 (9.6.6.1-1.stretch.pro) …
admpc@astra:~$ systemctl status postgresql
admpc@astra:~$ systemctl status postgresql.service
● postgresql.service - PostgreSQL RDBMS
Loaded: loaded (/lib/systemd/system/postgresql.service; enabled; vendor preset: enabled)
Active: active (exited) since Mon 2020-01-13 20:50:16 +07; 1min 12s ago
Main PID: 4270 (code=exited, status=0/SUCCESS)
Tasks: 0 (limit: 4915)
CGroup: /system.slice/postgresql.service

А ставили последние обновления астры перед началом установки?
 

Dem

New member
Сообщения
6
#3
странно.... у меня установилось нормально, хотя на версию тоже ругался
Подготовка к распаковке …/5-postgrespro-contrib-9.6_9.6.6.1-1.stretch.pro_amd64.deb …
Распаковывается postgrespro-contrib-9.6 (9.6.6.1-1.stretch.pro) …
Настраивается пакет postgrespro-client-common (178+pgpro2.stretch.pro) …
Настраивается пакет postgrespro-common (178+pgpro2.stretch.pro) …
supported-versions: WARNING! Unknown distribution: astra
debian found in ID_LIKE, treating as Debian
supported-versions: WARNING: Unknown Debian release: 2.12.22
Добавление пользователя postgres в группу ssl-cert

Creating config file /etc/postgresql-common/createcluster.conf with new version

Creating config file /etc/logrotate.d/postgresql-common with new version
Building PostgreSQL dictionaries from installed myspell/hunspell packages...
en_us
ru_ru
Removing obsolete dictionary files:
Created symlink /etc/systemd/system/multi-user.target.wants/postgresql.service → /lib/systemd/system/postgresql.service.
Настраивается пакет libpq5:amd64 (9.6.15-0+deb9u1) …
Обрабатываются триггеры для libc-bin (2.24-11+deb9u4) …
Настраивается пакет postgrespro-client-9.6 (9.6.6.1-1.stretch.pro) …
Обрабатываются триггеры для systemd (232-25+deb9u11astra.ce1) …
Обрабатываются триггеры для man-db (2.7.6.1-2) …
Настраивается пакет postgrespro-9.6 (9.6.6.1-1.stretch.pro) …
Creating new cluster 9.6/main ...
config /etc/postgresql/9.6/main
data /var/lib/postgresql/9.6/main
locale ru_RU.UTF-8
socket /var/run/postgresql
port 5432
Настраивается пакет postgrespro-contrib-9.6 (9.6.6.1-1.stretch.pro) …
admpc@astra:~$ systemctl status postgresql
admpc@astra:~$ systemctl status postgresql.service
● postgresql.service - PostgreSQL RDBMS
Loaded: loaded (/lib/systemd/system/postgresql.service; enabled; vendor preset: enabled)
Active: active (exited) since Mon 2020-01-13 20:50:16 +07; 1min 12s ago
Main PID: 4270 (code=exited, status=0/SUCCESS)
Tasks: 0 (limit: 4915)
CGroup: /system.slice/postgresql.service

А ставили последние обновления астры перед началом установки?
Да обновления делал.
 
Последнее редактирование:

Dem

New member
Сообщения
6
#4
Вроде все получилось
 
Последнее редактирование:

mertv0e

New member
Сообщения
3
#5
Дабы не плодить темы, задам вопрос тут. Возникла такая же ситуация. Smolensk 1.6 SE. При попытке установить postgresql-astra, появляется ошибка
Код:
dpkg: ошибка при обработке пакета postgresql-astra (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет postgresql-9.6:
 postgresql-9.6 зависит от postgresql-common (>= 171~), однако:
  Пакет postgresql-common пока не настроен.
При попытке поставить postgresql-coomon отдельно, получаю следующую ошибку
Код:
Настраивается пакет postgresql-common (175astra.se1) …
install: cannot change owner and permissions of «/var/run/postgresql»: Нет такого файла или каталога
Пробовал на нескольких машинах. Результат тот же